aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorJann - Ove Risvik <jann.ove@usaklig.com>2016-07-09 16:40:02 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-09-22 09:38:56 +0000
commita55e36de3edd796f83b099e16b1fc4dc830e09cc (patch)
treeb5e56d5443b98983454b72a70fcd1573f181113f /testing
parent0ae0b36871a9bb793769bc17fa7700b689dc49d1 (diff)
downloadaports-a55e36de3edd796f83b099e16b1fc4dc830e09cc.tar.gz
aports-a55e36de3edd796f83b099e16b1fc4dc830e09cc.tar.bz2
aports-a55e36de3edd796f83b099e16b1fc4dc830e09cc.tar.xz
testing/libibumad: new aport
https://openfabrics.org/index.php/openfabrics-software.html Interface to ib_umad module (user_mad) library. (InfiniBand)
Diffstat (limited to 'testing')
-rw-r--r--testing/libibumad/APKBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/testing/libibumad/APKBUILD b/testing/libibumad/APKBUILD
new file mode 100644
index 0000000000..884ddba0e9
--- /dev/null
+++ b/testing/libibumad/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Jann - Ove Risvik <jann.ove@usaklig.com>
+# Maintainer:
+pkgname=libibumad
+pkgver=1.3.10.2
+pkgrel=0
+pkgdesc="Interface to ib_umad module (user_mad) library. (InfiniBand)"
+url="https://www.openfabrics.org/index.php/openfabrics-software.html"
+arch="x86 x86_64"
+license="GPL2 BSD"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://www.openfabrics.org/downloads/management/$pkgname-$pkgver.tar.gz
+"
+
+builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$builddir"
+ update_config_sub || return 1
+}
+
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="dd017844c55713bd335aa229e6841d41 libibumad-1.3.10.2.tar.gz"
+sha256sums="500f74e31bd9f3d6c32dea912de3a2d1b299f3f23d7abd893652dd45c77a7e2e libibumad-1.3.10.2.tar.gz"
+sha512sums="aa2e9038600f6fd9f5cd7c42f6125f25db1504eca040d48f501acf3dcba310f5af50d56fbfe959d1f33b3eacd382f33782077510c7f1a841ae12c5942eb7fa8c libibumad-1.3.10.2.tar.gz"